Bug 484911 - Taskomatic doesn't sync to cobbler if new trees are sat synced
Taskomatic doesn't sync to cobbler if new trees are sat synced
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: Provisioning (Show other bugs)
530
All Linux
low Severity medium
: ---
: ---
Assigned To: Justin Sherrill
Steve Salevan
:
Depends On:
Blocks: 457075 486216
  Show dependency treegraph
 
Reported: 2009-02-10 12:37 EST by Mike McCune
Modified: 2009-09-10 14:14 EDT (History)
1 user (show)

See Also:
Fixed In Version: sat530
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-10 14:14:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike McCune 2009-02-10 12:37:25 EST
After your satellite is fully setup but you have not satellite-synced any content do the following:

* Satellite sync a channel that has kickstart trees

* Those trees should show up on your filesystem in /var/satellite/rhn and the db table 'rhnKickstartableTree'

* Do a 'cobbler report'.  If this returns empty, this is the bug.

We probably need to modify the date calculation in CobblerSyncTask that checks when the last time we synced was.  It doesn't take into considering new trees being created in spacewalk while it is running.
Comment 1 Justin Sherrill 2009-02-12 19:54:46 EST
commit	ed3371e22a180ab62c53712dd82d76faef5d3799
tree	5f235524e57b6f73e9241733a1ecd677c7d19139	
parent	7dc76dda8d12067b20835d88e27d00bccab821d4	

commit	7dc76dda8d12067b20835d88e27d00bccab821d4
tree	689e10e18ab7f6673fa117a7674af9f83b494be2	
parent	17a08eb337ea44929d3be63ab76df8b62accfe9b	


commit	17a08eb337ea44929d3be63ab76df8b62accfe9b
tree	306e0cf49a4b7856fed1f3ca354bd5df1b3be004	
parent	449757079a1a3c9eb49f382ec5c1efa21fe90648
Comment 2 Steve Salevan 2009-02-23 17:43:38 EST
Upon syncing my 530-re20090220.1 Satellite, 'cobbler report' returned appropriate listings of newly-synced trees and said trees appeared in the WebUI.  Moving to VERIFIED.
Comment 3 Tomas Lestach 2009-09-09 09:31:58 EDT
I synced a base channel with ks trees -> cobbler report returns a non-empty listing.
Then I synced another base channel with ks trees -> cobbler report correctly lists also additional entries.

Stage validated -> RELEASE_PENDING
Comment 4 Brandon Perkins 2009-09-10 14:14:42 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2009-1434.html

Note You need to log in before you can comment on or make changes to this bug.